# API rate limit

The PickZen REST API applies rate limits to the API requests that it receives. Every request is subject to throttling under the general limits.

Limits are fixed to a maximum of 1 request per second. All requests that are made after rate limit have been exceeded are throttled and an HTTP `429 Too Many Requests` error is returned.&#x20;


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://help.pickzen.com/developers/rest-api/api-rate-limit.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
